H2 compatibility with Ubuntu 16.04 LTS

Post Reply
odroid_newuser
Posts: 107
Joined: Sat Jan 03, 2015 10:49 am
languages_spoken: english
Has thanked: 19 times
Been thanked: 0
Contact:

H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid_newuser » Mon Mar 23, 2020 1:18 pm

Hi, is the H2 fully compatible with Ubuntu 16.04 LTS out of the box?

User avatar
odroid
Site Admin
Posts: 33699
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean, Japanese
ODROIDs: ODROID
Has thanked: 515 times
Been thanked: 507 times
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid » Mon Mar 23, 2020 1:28 pm

You can try the latest 16.04.6 image but we didn't test it.
I think most people will live with 18.04 LTS or coming 20.04 LTS probably.

odroid_newuser
Posts: 107
Joined: Sat Jan 03, 2015 10:49 am
languages_spoken: english
Has thanked: 19 times
Been thanked: 0
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid_newuser » Mon Mar 23, 2020 9:55 pm

Thanks. I have not bought it yet. I am considering between H2 and N2. I want to make sure that they are compatible with 16.04 LTS before buying. Has anybody tried?

User avatar
mad_ady
Posts: 7579
Joined: Wed Jul 15, 2015 5:00 pm
languages_spoken: english
ODROIDs: XU4, C1+, C2, N1, H2, N2, Go, Go Advance
Location: Bucharest, Romania
Has thanked: 397 times
Been thanked: 302 times
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by mad_ady » Wed Mar 25, 2020 2:45 am

I expect 16.04 will not boot without a newer (4.19?) kernel because older kernels did not support the cpu. You can run 18.04/20.04 and run 16.04 inside a VM/container.
These users thanked the author mad_ady for the post:
odroid_newuser (Wed Mar 25, 2020 1:03 pm)

odroid_newuser
Posts: 107
Joined: Sat Jan 03, 2015 10:49 am
languages_spoken: english
Has thanked: 19 times
Been thanked: 0
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid_newuser » Wed Mar 25, 2020 3:50 am

mad_ady wrote:
Wed Mar 25, 2020 2:45 am
I expect 16.04 will not boot without a newer (4.19?) kernel because older kernels did not support the cpu. You can run 18.04/20.04 and run 16.04 inside a VM/container.
Thanks. Is the N2 the same situation?

User avatar
mad_ady
Posts: 7579
Joined: Wed Jul 15, 2015 5:00 pm
languages_spoken: english
ODROIDs: XU4, C1+, C2, N1, H2, N2, Go, Go Advance
Location: Bucharest, Romania
Has thanked: 397 times
Been thanked: 302 times
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by mad_ady » Wed Mar 25, 2020 4:14 am

Yes. There is no stock 16.04 image for it. You could start with an Odroid C2 16.04 image and copy over kernel, modules and uboot and it should work on the N2, but you'd be missing acceleration (little as it is). You can find more details in my crossgrading article on Odroid magazine.

Better tell us how you want to use 16.04 and we can give better advice.
These users thanked the author mad_ady for the post:
odroid_newuser (Wed Mar 25, 2020 1:03 pm)

odroid_newuser
Posts: 107
Joined: Sat Jan 03, 2015 10:49 am
languages_spoken: english
Has thanked: 19 times
Been thanked: 0
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid_newuser » Wed Mar 25, 2020 4:21 am

I want to run some old software developed under and for Ubuntu 16.04. Probably XU4 would be more compatible but it is an old product. Can I get 16.04 image from XU4 and make it works for N2 or H2?

User avatar
odroid
Site Admin
Posts: 33699
Joined: Fri Feb 22, 2013 11:14 pm
languages_spoken: English, Korean, Japanese
ODROIDs: ODROID
Has thanked: 515 times
Been thanked: 507 times
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by odroid » Wed Mar 25, 2020 10:15 am

Do you know why your old software doesn't work with Ubuntu 18.04/20.40?
Is it a close source software for x86 platforms? If yes, it will not work on N2/XU4.

PigLover
Posts: 32
Joined: Wed Nov 15, 2017 3:55 am
languages_spoken: english
ODROIDs: C2, XU4, HC1, MC1
Has thanked: 1 time
Been thanked: 2 times
Contact:

Re: H2 compatibility with Ubuntu 16.04 LTS

Unread post by PigLover » Wed Mar 25, 2020 1:17 pm

odroid wrote:
Wed Mar 25, 2020 10:15 am
Do you know why your old software doesn't work with Ubuntu 18.04/20.40?
Is it a close source software for x86 platforms? If yes, it will not work on N2/XU4.
It’s probably not that it won’t run on a newer Ubuntu release but that it is dependent on older versions of the packages that come with it.

Best bet would be to boot on 18.04 or newer and then run 16.04 in a VM or even a docker image.

Post Reply

Return to “Ubuntu”

Who is online

Users browsing this forum: No registered users and 1 guest